Package org.apache.velocity.util

# Interface TemplateString

public interface TemplateString
Any object in the context which implements TemplateString will use the getAsString() method for rendering and empty-checks instead of toString().

Since:
  2.0
Author:
  Nathan Bubna

## Method Summary

Modifier and Type
Method
Description
`String`
`getAsString()`
Returns a String that can be used in a template.

## Method Details

### getAsString

String getAsString()
Returns a String that can be used in a template.

Returns:
  A String that can be used in a template.